/*
 * linux/arch/mips/vr41xx/kbd_no.c
 *
 * Allows CONFIG_VT without keyboard (KIU) driver
 *
 * Copyright (C) 1999 Bradley D. LaRonde
 *
 * This file is subject to the terms and conditions of the GNU General Public
 * License.  See the file "COPYING" in the main directory of this archive
 * for more details.
 *
 */

#include <linux/sched.h>
#include <linux/errno.h>
#include <linux/init.h>

void kbd_leds(unsigned char leds)
{
	return;
}

int kbd_setkeycode(unsigned int scancode, unsigned int keycode)
{
	return (scancode == keycode) ? 0 : -EINVAL;
}

int kbd_getkeycode(unsigned int scancode)
{
	return scancode;
}

int kbd_translate(unsigned char scancode, unsigned char *keycode,
	char raw_mode)
{
	*keycode = scancode;
	return 1;
}

char kbd_unexpected_up(unsigned char keycode)
{
    printk(" kbd_unexpected_up 0x%02x\n", keycode);
	return 0;
}

void __init kbd_init_hw(void)
{
#ifndef CONFIG_NEC_HARRIER
	printk("No keyboard driver installed\n");
#endif
}

